import { XYChartDescription } from "./XYChartDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class FinancialChartDescription extends XYChartDescription {
    static $t: Type;
    private jl;
    get tooltipTemplateRef(): string;
    set tooltipTemplateRef(a: string);
    private jn;
    get width(): string;
    set width(a: string);
    private jk;
    get height(): string;
    set height(a: string);
    private ji;
    get background(): string;
    set background(a: string);
    protected get_type(): string;
    constructor();
    private ii;
    get leftMargin(): number;
    set leftMargin(a: number);
    private hx;
    get isHorizontalZoomEnabled(): boolean;
    set isHorizontalZoomEnabled(a: boolean);
    private il;
    get toolbarHeight(): number;
    set toolbarHeight(a: number);
    private h3;
    get yAxisIsLogarithmic(): boolean;
    set yAxisIsLogarithmic(a: boolean);
    private ja;
    get yAxisLogarithmBase(): number;
    set yAxisLogarithmBase(a: number);
    private io;
    get yAxisInterval(): number;
    set yAxisInterval(a: number);
    private iq;
    get yAxisMinimumValue(): number;
    set yAxisMinimumValue(a: number);
    private ip;
    get yAxisMaximumValue(): number;
    set yAxisMaximumValue(a: number);
    private ir;
    get yAxisMinorInterval(): number;
    set yAxisMinorInterval(a: number);
    private jm;
    get volumeType(): string;
    set volumeType(a: string);
    private jo;
    get xAxisMode(): string;
    set xAxisMode(a: string);
    private jr;
    get yAxisMode(): string;
    set yAxisMode(a: string);
    private hz;
    get isToolbarVisible(): boolean;
    set isToolbarVisible(a: boolean);
    private jj;
    get chartType(): string;
    set chartType(a: string);
    private jp;
    get yAxisLabelHorizontalAlignment(): string;
    set yAxisLabelHorizontalAlignment(a: string);
    private h1;
    get isWindowSyncedToVisibleRange(): boolean;
    set isWindowSyncedToVisibleRange(a: boolean);
    private hb;
    get indicatorTypes(): string[];
    set indicatorTypes(a: string[]);
    private hg;
    get overlayTypes(): string[];
    set overlayTypes(a: string[]);
    private h2;
    get yAxisAbbreviateLargeNumbers(): boolean;
    set yAxisAbbreviateLargeNumbers(a: boolean);
    private ik;
    get resolution(): number;
    set resolution(a: number);
    private jq;
    get yAxisLabelLocation(): string;
    set yAxisLabelLocation(a: string);
    private js;
    get zoomSliderType(): string;
    set zoomSliderType(a: string);
    private hc;
    get negativeBrushes(): string[];
    set negativeBrushes(a: string[]);
    private hd;
    get negativeOutlines(): string[];
    set negativeOutlines(a: string[]);
    private he;
    get overlayBrushes(): string[];
    set overlayBrushes(a: string[]);
    private hf;
    get overlayOutlines(): string[];
    set overlayOutlines(a: string[]);
    private hj;
    get volumeOutlines(): string[];
    set volumeOutlines(a: string[]);
    private hi;
    get volumeBrushes(): string[];
    set volumeBrushes(a: string[]);
    private ha;
    get indicatorNegativeBrushes(): string[];
    set indicatorNegativeBrushes(a: string[]);
    private g8;
    get indicatorBrushes(): string[];
    set indicatorBrushes(a: string[]);
    private im;
    get volumeThickness(): number;
    set volumeThickness(a: number);
    private ij;
    get overlayThickness(): number;
    set overlayThickness(a: number);
    private ih;
    get indicatorThickness(): number;
    set indicatorThickness(a: number);
    private g9;
    get indicatorDisplayTypes(): string[];
    set indicatorDisplayTypes(a: string[]);
    private i6;
    get indicatorPeriod(): number;
    set indicatorPeriod(a: number);
    private ig;
    get indicatorMultiplier(): number;
    set indicatorMultiplier(a: number);
    private i9;
    get indicatorSmoothingPeriod(): number;
    set indicatorSmoothingPeriod(a: number);
    private i7;
    get indicatorShortPeriod(): number;
    set indicatorShortPeriod(a: number);
    private i5;
    get indicatorLongPeriod(): number;
    set indicatorLongPeriod(a: number);
    private i8;
    get indicatorSignalPeriod(): number;
    set indicatorSignalPeriod(a: number);
    private hh;
    get rangeSelectorOptions(): string[];
    set rangeSelectorOptions(a: string[]);
    private g7;
    get customIndicatorNames(): string[];
    set customIndicatorNames(a: string[]);
    private h0;
    get isVerticalZoomEnabled(): boolean;
    set isVerticalZoomEnabled(a: boolean);
    private jt;
    get zoomSliderXAxisMajorStroke(): string;
    set zoomSliderXAxisMajorStroke(a: string);
    private is;
    get zoomSliderXAxisMajorStrokeThickness(): number;
    set zoomSliderXAxisMajorStrokeThickness(a: number);
    private hy;
    get isLegendVisible(): boolean;
    set isLegendVisible(a: boolean);
    private ic;
    get xAxisMinimumValue(): Date;
    set xAxisMinimumValue(a: Date);
    private ib;
    get xAxisMaximumValue(): Date;
    set xAxisMaximumValue(a: Date);
    private jh;
    get applyCustomIndicatorsRef(): string;
    set applyCustomIndicatorsRef(a: string);
}
